> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gbase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# generate prompt

> 更新robot的prompt信息, 暂时不用, 后续看看如何修改. todo -



## OpenAPI

````yaml https://api.gbase.ai/openapi-redoc.json put /v1/ais/{ai_id}/gen_prompt
openapi: 3.1.0
info:
  title: GBase
  description: >
    # Introduce

    This API document can help you understand GBase more deeply. 

    You can train your own AI directly through the interface of this document.



    ##  Authentication


    Home page: [https://gbase.ai](https://gbase.ai)


    Huggingface:
    [https://huggingface.co/gptbase](https://huggingface.co/gptbase)


    The GBase API uses API keys for authentication. Visit your API Keys page to
    retrieve the API key you'll use in your requests.


    Remember that your API key is a secret! Do not share it with others or
    expose it in any client-side code (browsers, apps). 

    Production requests must be routed through your own backend server where
    your API key can be securely loaded from an environment variable or key
    management service.


    All API requests should include your API key in an Authorization HTTP header
    as follows:


    Parameter name: Authorization


    Value: Bearer [YOUR_API_KEY](https://admin.gbase.ai/keys)


    ```

    Authorization: Bearer YOUR_API_KEY

    ```


    ## Use steps

    1.Fill in your API keys.


    2.You can create an AI by using either the API interface or the
    administrative backend. Once created, the AI will generate an ID which will
    be required for the subsequent steps.


    3.Use the generated ID to call the file upload interface.


    4.After uploading the file, you can use the question interface to inquire
    about it.
  version: 0.0.1
servers:
  - url: https://api.gbase.ai
security: []
paths:
  /v1/ais/{ai_id}/gen_prompt:
    put:
      tags:
        - GBase AI
      summary: generate prompt
      description: 更新robot的prompt信息, 暂时不用, 后续看看如何修改. todo -
      operationId: gen_agent_prompt_v1_ais__ai_id__gen_prompt_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenPromptIn'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenPromptOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0ImplicitBearer: []
        - HTTPBearer: []
        - Auth0HTTPBearer: []
components:
  schemas:
    GenPromptIn:
      properties:
        prompt_in:
          type: string
          title: Prompt In
        ai_id:
          type: string
          title: Ai Id
        cur_prompt:
          type: string
          title: Cur Prompt
        stream:
          type: boolean
          title: Stream
          default: true
        message_id:
          type: string
          title: Message Id
      type: object
      required:
        - prompt_in
      title: GenPromptIn
    GenPromptOut:
      properties:
        prompt:
          type: string
          title: Prompt
        role:
          type: string
          title: Role
        general:
          type: string
          title: General
        change_summary:
          type: string
          title: Change Summary
      type: object
      required:
        - prompt
      title: GenPromptOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````